<link rel="import" href="../polymer/polymer-element.html">

<dom-module id="fotosocial-login-dm">
  <template>
  </template>

  <script>
    /**
     * `fotosocial-login-dm`
     * data manager que revisa si el usuario existe
     *
     * @customElement
     * @polymer
     * @demo demo/index.html
     */
    class FotosocialLoginDm extends Polymer.Element {
      static get is() { return 'fotosocial-login-dm'; }
      static get properties() {
        return {
          user: {
            type: Object,
            value: {}
          },
          foundUser: {
            type: Boolean,
            value: false
          }
        };
      }

      searchUser() {
        this.set('foundUser', false);
        let fotosocial = localStorage.getItem('fotosocial') ? JSON.parse(localStorage.getItem('fotosocial')) : false;
        if (fotosocial) {
          fotosocial.users.map( user => {
            if (user.user === this.user.user && user.password === this.user.password) {
              this.set('foundUser', true);
            }
          });
        }
        this.dispatchEvent(new CustomEvent('found-user', {
          bubbles: true,
          composed: true,
          detail: this.foundUser
        }));
      }
  
    }

    window.customElements.define(FotosocialLoginDm.is, FotosocialLoginDm);
  </script>
</dom-module>